Subject: Re: [PATCH net-next 0/2] Add rudimentary SFP module quirk support

From: Andrew Lunn <[email-masked]>
Date: Thu, 21 Nov 2019 03:28:30 +0100

On Wed, Nov 20, 2019 at 11:39:00AM +0000, Russell King - ARM Linux admin wrote:
> The SFP module EEPROM describes the capabilities of the module, but
> doesn't describe the host interface.  We have a certain amount of
> guess-work to work out how to configure the host - which works most
> of the time.
> 
> However, there are some (such as GPON) modules which are able to
> support different host interfaces, such as 1000BASE-X and 2500BASE-X.
> The module will switch between each mode until it achieves link with
> the host.
> 
> There is no defined way to describe this in the SFP EEPROM, so we can
> only recognise the module and handle it appropriately.  This series
> adds the necessary recognition of the modules using a quirk system,
> and tweaks the support mask to allow them to link with the host at
> 2500BASE-X, thereby allowing the user to achieve full line rate.

Hi Russell

Did you consider making the Cotsworks checksum issue a quirk?

    Andrew